IOSS 2.0

Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
Iotr::Offset Class Reference

`#include <Iotr_Offset.h>`

Inheritance diagram for Iotr::Offset:
[legend]
Collaboration diagram for Iotr::Offset:
[legend]

## Public Member Functions
const Ioss::VariableType * | output_storage (const Ioss::VariableType *in) const override
int | output_count (int in) const override
void | set_property (const std::string &name, int value) override
void | set_property (const std::string &name, double value) override
Public Member Functions inherited from Ioss::Transform
virtual | ~Transform ()
bool | execute (const Ioss::Field &field, void *data)
virtual void | set_properties (const std::string &name, const std::vector< int > &values)
virtual void | set_properties (const std::string &name, const std::vector< double > &values)

## Protected Member Functions
| Offset ()
bool | internal_execute (const Ioss::Field &field, void *data) override
Protected Member Functions inherited from Ioss::Transform
| Transform ()

## Private Attributes
int | intOffset {0}
double | realOffset {0.0}

## Friends
class | Offset_Factory

## Constructor & Destructor Documentation

## ◆ Offset()

Iotr::Offset::Offset | ( |  | ) |
| protected

## Member Function Documentation

## ◆ internal_execute()

bool Iotr::Offset::internal_execute | ( | const Ioss::Field & | field,
|  | void * | data
| ) |  |
| overrideprotectedvirtual

Implements Ioss::Transform.

## ◆ output_count()

int Iotr::Offset::output_count | ( | int | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## ◆ output_storage()

const Ioss::VariableType * Iotr::Offset::output_storage | ( | const Ioss::VariableType * | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## ◆ set_property() [1/2]

void Iotr::Offset::set_property | ( | const std::string & | name,
|  | double | value
| ) |  |
| overridevirtual

Reimplemented from Ioss::Transform.

## ◆ set_property() [2/2]

void Iotr::Offset::set_property | ( | const std::string & | name,
|  | int | value
| ) |  |
| overridevirtual

Reimplemented from Ioss::Transform.

## Friends And Related Function Documentation

## ◆ Offset_Factory

friend class Offset_Factory
| friend

## Member Data Documentation

## ◆ intOffset

int Iotr::Offset::intOffset {0}
| private

## ◆ realOffset

double Iotr::Offset::realOffset {0.0}
| private

The documentation for this class was generated from the following files:

- src/transform/Iotr_Offset.h
- src/transform/Iotr_Offset.C